apiVersion: minio.min.io/v2
kind: Tenant
metadata:
  name: default-minio-config
  namespace: eurdeu  # 注意这里  # 需要修改
scheduler:
  name: ""
spec:
  certConfig: {}
  credsSecret:
    name: default-creds-secret
  image: 192.168.8.65:8033/cmii/minio:RELEASE.2022-03-26T06-49-28Z
  imagePullSecret: {}
  exposeServices: {}
  mountPath: /export # 这里随意 写什么都可以
  requestAutoCert: false
  users:
    - name: default-user-1
  pools:
    - affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
              - matchExpressions:
                  - key: kubernetes.io/hostname
                    operator: In
                    values:
                      - 192.168.8.68 # 修改这里！
      servers: 8
      volumesPerServer: 1
      resources:
        requests:
          cpu: "1"
          memory: 1Gi
      volumeClaimTemplate:
        apiVersion: v1
        kind: persistentvolumeclaims
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: "2000000000" # 2GBi
          storageClassName: local-storage # 注意这里


